Bug 1705032 - DNS ClusterOperator status should always report versions
Summary: DNS ClusterOperator status should always report versions
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: DNS
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.1.0
Assignee: Dan Mace
QA Contact: Hongan Li
URL:
Whiteboard:
Depends On: 1704982
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-01 07:59 UTC by Ravi Sankar
Modified: 2019-06-04 10:48 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: As per the spec, operator should always report versions irrespective of the status condition. Also old version must be reported in case of progressing condition. Consequence: CVO may not behave correctly when versions are not reported or has incorrect versions. Fix: Report versions as per the spec. Result: CVO will operate correctly during reporting and upgrades for this operator.
Clone Of: 1704982
Environment:
Last Closed: 2019-06-04 10:48:18 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0758 None None None 2019-06-04 10:48:24 UTC

Description Ravi Sankar 2019-05-01 07:59:35 UTC
ClusterOperator status.versions must always be set in the payload otherwise it will trigger the fallback mode for the CVO which is not good.

More details: https://coreos.slack.com/archives/CCH60A77E/p1554743050139700

Comment 1 Ravi Sankar 2019-05-01 08:08:58 UTC
Fixed by https://github.com/openshift/cluster-dns-operator/pull/92

Comment 3 Hongan Li 2019-05-06 06:40:28 UTC
upgraded from 4.1.0-0.nightly-2019-05-04-210601 to 4.1.0-0.nightly-2019-05-05-070156 and verified 

### before upgrade
$ oc get clusteroperator/dns -o yaml
<---skip--->
  versions:
  - name: operator
    version: 4.1.0-0.nightly-2019-05-04-210601
  - name: coredns
    version: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:3f2209f60c556962fa4bcf681ea3996bb47cb2f7ae18a4129d20827b71238b13
  - name: openshift-cli
    version: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:32251dc3229be24b7c011403052388fe41dc821eb63078d3513e9b20c2ed0b4e


### post upgrade
  versions:
  - name: operator
    version: 4.1.0-0.nightly-2019-05-05-070156
  - name: coredns
    version: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:3f2209f60c556962fa4bcf681ea3996bb47cb2f7ae18a4129d20827b71238b13
  - name: openshift-cli
    version: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:8989f12b58aeaef17fd840d7471c208b1b7fc107000af9f03a4190ae325c46e7

Comment 6 errata-xmlrpc 2019-06-04 10:48:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0758


Note You need to log in before you can comment on or make changes to this bug.